Check a pending voice creation
curl --request GET \
--url https://gengen.farm/api/gengen/v1/audio/voice-operations/{operationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/audio/voice-operations/{operationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/audio/voice-operations/{operationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"kind": "clone",
"status": "creating",
"models": [
"<string>"
],
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusUrl": "<string>",
"id": "<string>",
"voiceId": "<string>",
"message": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Create voices
Check a pending voice creation
GET
/
audio
/
voice-operations
/
{operationId}
Check a pending voice creation
curl --request GET \
--url https://gengen.farm/api/gengen/v1/audio/voice-operations/{operationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/audio/voice-operations/{operationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/audio/voice-operations/{operationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"kind": "clone",
"status": "creating",
"models": [
"<string>"
],
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusUrl": "<string>",
"id": "<string>",
"voiceId": "<string>",
"message": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}After a clone or save returns HTTP 202, send GET to its
statusUrl with a key in the same workspace. Keep polling while the operation is creating or reconciling.
On active, use the returned voiceId. For verificationRequired, follow the verification instructions. On failed, read message if present.Authorizations
Response
Current creation status. Use the returned voiceId when active.